> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-2/list-all-user-sequences.md).

# List all user sequences

This endpoint allows you to access a list of user sequences across the organization. <br>

**Endpoint Description:**

* **Endpoint**: `GET /api/user-sequences/`
* &#x20;**Base URL**: `https://api.vomevolunteer.com`

**Example Request:**

```
GET https://api.vomevolunteer.com/api/sequences/
```

**Authorization:**

Requests must include an API key in the header for authentication.

```json
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com/api/form-submissions/", headers=headers)
```

**Response Structure**:

```json
{
    "count": 49,
    "next": "http://3.96.242.26:8030/api/user-sequences/?page=2",
    "previous": null,
    "results": [
        {
            "id": "4f02f472-2c15-436d-8a73-ff316cb9a78b",
            "user_info": {
                "id": "2c5f6853-7d10-427b-934b-1abc8d0ddcf1",
                "first_name": "Bill",
                "last_name": "Flood",
                "email": "bill.flood@domain.com",
                "gender": null,
                "address": "",
                "phone_number": "3343455454",
                "date_of_birth": null,
                "timezone": "America/Toronto",
                "address_coordinates": null
            },
            "sequence_info": {
                "id": "071ed9bf-ccce-4a31-9ce5-96fd6a0df0d9",
                "title": "Sample Sequence Title",
                "description": "<p>Sample</p>"
                "sequence_status": "Published",
                "display_status": "Public",
                "step_info": [
                    {
                        "step": 2,
                        "type": 4,
                        "step_details": [
                            {
                                "title": "Custom Step (No file)",
                                "description": "<p>Sample description of a step</p>",
                                "user_sequence_info": {
                                    "id": "11254adc-444e-4b77-a51c-222c4ed7b8cf",
                                    "status": 1,
                                    "completion_date": "2024-10-10T08:04:01.798052Z",
                                    "expiration_date": null,
                                    "attachment_added": null
                                }
                            }
                        ]
                    },
                    {
                        "step": 1,
                        "type": 2,
                        "step_details": [
                            {
                                "title": "Background checks 2",
                                "description": "<p>Sample</p>",
                                "user_sequence_info": {
                                    "id": "892d267e-b337-4baa-b95e-90f59a61df40",
                                    "status": 1,
                                    "completion_date": "2024-10-10T08:03:58.176127Z",
                                    "expiration_date": null,
                                    "attachment_added": null
                                }
                            }
                        ]
                    }
                ]
            },
            "status": "Active",
            "created_at": "2024-10-10T08:03:23.530521Z",
            "updated_at": "2024-10-10T08:03:58.998298Z"
        },
    ]
}
```

​

**Response Structure:**

The API returns a list of user sequences along with pagination controls to navigate through large datasets effectively. Here’s a breakdown of the response structure and its components:

* **count (**`integer`**)**: Total number of sequences available.
* **next (**`string | null`**)**: URL to the next page of sequences, if available.
* **previous (**`string | null`**)**: URL to the previous page of sequences, if applicable.
* **results (**`array of User Sequence Objects`**)**: Contains detailed information about each sequence associated with a user.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-2/list-all-user-sequences.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
